Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface ContextProcessor

    public interface ContextProcessor

Represents a context processor.

A context processor is used to modify the rendering context of the Local Rendering Portlet at runtime.

A context processor must be registered as an extension via a plugin.xml.
Example:

     <plugin id="MyPluginId" provider-name="ACME" version="1.0.0" name="MyContextProcessor">
     <extension
             point="com.ibm.workplace.wcm.api.ContextProcessor"
             id="MyContextProcessorId">
           <processor class="com.acme.MyContextProcessorImpl"/>
     </extension>
     </plugin>

Each context processor must also have a constructor with no arguments

After registration as an extension plugin a context processor must also be configured in the Local Rendering Portlet Configuration.
If multiple context processor are configured all context processors are executed in arbitrary order.
Additionally the parameter `ContextProcessorClass` can be specified in the request parameters to override the context processor for the current request. The value of the `ContextProcessorClass` request parameter must be the fully qualified name of the registered ContextProcessor class. Furthermore setting the `ContextProcessorClass` request parameter to `NONE` will disable all configured context processor for the request.

Method Summary
`void` | `process(HttpSession currentSession, ContextProcessorParams contextProcessorParams)` Processes the supplied ContextProcessorParams and updates parameters within as necessary

Method Detail

### process

    void process(HttpSession currentSession,
                 ContextProcessorParams contextProcessorParams)

  Processes the supplied ContextProcessorParams and updates parameters within as necessary

  Parameters:
    `currentSession` - The current Http Session
    `contextProcessorParams` - The editable ContextProcessorParams object

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD